View Issue Details

IDProjectCategoryView StatusLast Update
0020054mantisbtadministrationpublic2019-03-16 20:20
Reportercproensa Assigned Tocproensa  
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.19 
Target Version2.20.0Fixed in Version2.20.0 
Summary0020054: Cant modify configuration for All projects if only one project exists
Description

Where there only exists one project, the project selector is not shown, and current project is default for that only project.

If entering Administration pages, where configuration can be made eiter for "All projects" and specific projects, user is unable to modify configuration for "All projects" as there is no way to select that option.

Usually is not a problem because it wont happen once there are more than one project created.

Additional Information

some relatively simple fixes:

  • make the selector visible when inside administration pages
  • make the selector visible if user has permissions to modify configuration

more proper fix:

  • use a dedicated project selector on adminitration page
TagsNo tags attached.

Relationships

related to 0007956 closedcproensa Disable project selection for users with only one project 
has duplicate 0025134 closedatrol Cant edit configuration for ALL_PROJECTS when only one project exists 
related to 0020055 new More visbility on current project for adminitration pages, dedicated selector 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 2ec8df69

2019-01-01 07:37:53

cproensa


Committer: dregad Details Diff
Don't apply single project logic for some users

Eventhough the project selector may be hidden when there are not
multiple projects to choose from, it is still needed for editing manage
and configuration pages that apply to either specific project or
ALL_PROJECTS.
Here we add a condition that if the user has access to manage pages, the
project selector is never hidden, and both the specific project and
ALL_PROJECTS are available to be used.

Fixes: 0020054
Affected Issues
0020054
mod - core/current_user_api.php Diff File
mod - core/layout_api.php Diff File

Issue History

Date Modified Username Field Change
2015-08-26 12:41 cproensa New Issue
2015-08-26 14:46 atrol Relationship added related to 0020055
2015-08-26 18:13 atrol Relationship added related to 0007956
2018-12-31 12:24 atrol Relationship added has duplicate 0025134
2019-01-01 07:42 cproensa Assigned To => cproensa
2019-01-01 07:42 cproensa Status new => assigned
2019-03-02 19:18 dregad Changeset attached => MantisBT master 2ec8df69
2019-03-02 19:18 cproensa Status assigned => resolved
2019-03-02 19:18 cproensa Resolution open => fixed
2019-03-02 19:18 cproensa Fixed in Version => 2.20.0
2019-03-03 16:43 atrol Target Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed